head	1.2;
access;
symbols
	RELEASE_4_11_0:1.1
	RELEASE_5_3_0:1.1
	RELEASE_4_10_0:1.1
	RELEASE_5_2_1:1.1
	RELEASE_5_2_0:1.1
	RELEASE_4_9_0:1.1
	RELEASE_5_1_0:1.1
	RELEASE_4_8_0:1.1
	RELEASE_5_0_0:1.1
	RELEASE_4_7_0:1.1
	RELEASE_4_6_2:1.1
	RELEASE_4_6_1:1.1
	RELEASE_4_6_0:1.1;
locks; strict;
comment	@# @;


1.2
date	2005.01.23.15.37.39;	author josef;	state dead;
branches;
next	1.1;

1.1
date	2002.05.14.22.02.21;	author pat;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Update to moinmoin 1.3.1

This port now supports installation of multiple wiki
instances as proposed by the installation guide.
Follow the textual instructions that are echoed out
by the 'make install' progress for more information.

Thanks to Florent for polishing up my update patches.

Submitted by:	Florent Thoumie <flz@@xbsd.org>
PR:		ports/76377
@
text
@#!/bin/sh
# $FreeBSD: ports/www/moinmoin/pkg-install,v 1.1 2002/05/14 22:02:21 pat Exp $
#

if [ "$2" != "PRE-INSTALL" ]; then
    exit 0
fi

[ "$INST_USER" ] || INST_USER=moinmoin
[ "$INST_GROUP" ] || INST_GROUP=${INST_USER}
[ "$INST_UID" ] || INST_UID=192
[ "$INST_GID" ] || INST_GID=${INST_UID}

if ! pw groupshow "${INST_GROUP}" 2>/dev/null 1>&2; then
	if pw groupadd ${INST_GROUP} -g ${INST_GID}; then
		echo "Added group \"${INST_GROUP}\"."
	else
		echo "Adding group \"${INST_GROUP}\" failed..."
		exit 1
	fi
fi

if ! pw usershow "${INST_USER}" 2>/dev/null 1>&2; then
	if pw useradd ${INST_USER} -u ${INST_UID} -g ${INST_GROUP} -h - \
		-s "/sbin/nologin" -d "/nonexistent" \
		-c "MoinMoin User"; \
	then
		echo "Added user \"${INST_USER}\"."
	else
		echo "Adding user \"${INST_USER}\" failed..."
		exit 1
	fi
fi
exit 0
@


1.1
log
@Update to 1.0

PR:		37941
Submitted by:	maintainer
@
text
@d2 1
a2 1
# $FreeBSD$
@

